IMG_CreateAnimationDecoder(3)

NAME
IMG_CreateAnimationDecoder - Create a decoder to read a series of images from a file.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

IMG_AnimationDecoder * IMG_CreateAnimationDecoder(const char *file);

DESCRIPTION
These animation types are currently supported:

• ANI

• APNG

• AVIFS

• GIF

• WEBP

The file type is determined from the file extension, e.g. "file.webp" will be decoded using WEBP.

FUNCTION PARAMETERS

file
    the file containing a series of images.

RETURN VALUE
Returns a new IMG_AnimationDecoder, or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_CreateAnimationDecoder_IO(3), IMG_CreateAnimationDecoderWithProperties(3), IMG_GetAnimationDecoderFrame(3), IMG_ResetAnimationDecoder(3), IMG_CloseAnimationDecoder(3)